Author Topic: Unable to upgrade from 5.13. to 6  (Read 497 times)

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Unable to upgrade from 5.13. to 6
« on: March 21, 2019, 08:13:52 pm »
I am trying to upgrade my Zentyal from 5.1.3 to 6, but if I use the GUI, nothing happens and if I try the command line (sudo aptitude dist-upgrade) the system fail and stops to work!
« Last Edit: April 06, 2019, 02:23:09 pm by cezarq »

BerT666

  • Zen Warrior
  • ***
  • Posts: 215
  • Karma: +6/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #1 on: March 26, 2019, 12:31:08 pm »
could you please post the error message when doing it from CLI?
Did you check the logfiles?

/var/log/zentyal/zental.log and maybe /var/log/syslog

I beleive there is a hint why it is failing...

Regards

Thomas

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #2 on: April 06, 2019, 02:38:36 pm »
/var/log/zentyal/zental.log
Code: [Select]
2019/04/06 09:27:38 WARN> zentyal.psgi:43 Plack::Sandbox::_2fusr_2fshare_2fzentyal_2fpsgi_2fzentyal_2epsgi::__ANON__ - Use of uninitialized value $action in string eq at /usr/share/perl5/EBox/CGI/ReleaseUpgrade.pm line 44.
2019/04/06 09:27:38 WARN> zentyal.psgi:43 Plack::Sandbox::_2fusr_2fshare_2fzentyal_2fpsgi_2fzentyal_2epsgi::__ANON__ - Use of uninitialized value $action in string eq at /usr/share/perl5/EBox/CGI/ReleaseUpgrade.pm line 49.
2019/04/06 09:27:56 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1054) line 2.
BEGIN failed--compilation aborted at (eval 1054) line 2.
2019/04/06 09:27:56 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1063) line 2.
BEGIN failed--compilation aborted at (eval 1063) line 2.
2019/04/06 09:27:59 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1072) line 2.
BEGIN failed--compilation aborted at (eval 1072) line 2.
2019/04/06 09:28:07 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1085) line 2.
BEGIN failed--compilation aborted at (eval 1085) line 2.
2019/04/06 09:28:20 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1094) line 2.
BEGIN failed--compilation aborted at (eval 1094) line 2.
2019/04/06 09:28:26 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1103) line 2.
BEGIN failed--compilation aborted at (eval 1103) line 2.
2019/04/06 09:28:36 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1112) line 2.
BEGIN failed--compilation aborted at (eval 1112) line 2.
2019/04/06 09:28:43 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1121) line 2.
BEGIN failed--compilation aborted at (eval 1121) line 2.
2019/04/06 09:28:57 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1130) line 2.
BEGIN failed--compilation aborted at (eval 1130) line 2.
2019/04/06 09:28:57 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1139) line 2.
BEGIN failed--compilation aborted at (eval 1139) line 2.
2019/04/06 09:28:57 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1148) line 2.
BEGIN failed--compilation aborted at (eval 1148) line 2.
2019/04/06 09:29:00 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1157) line 2.
BEGIN failed--compilation aborted at (eval 1157) line 2.
2019/04/06 09:29:01 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1166) line 2.
BEGIN failed--compilation aborted at (eval 1166) line 2.
2019/04/06 09:29:01 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1175) line 2.
BEGIN failed--compilation aborted at (eval 1175) line 2.
2019/04/06 09:29:01 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1184) line 2.
BEGIN failed--compilation aborted at (eval 1184) line 2.
2019/04/06 09:29:02 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1193) line 2.
BEGIN failed--compilation aborted at (eval 1193) line 2.
2019/04/06 09:29:02 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1202) line 2.
BEGIN failed--compilation aborted at (eval 1202) line 2.
2019/04/06 09:29:02 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1211) line 2.
BEGIN failed--compilation aborted at (eval 1211) line 2.
2019/04/06 09:29:03 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1220) line 2.
BEGIN failed--compilation aborted at (eval 1220) line 2.
2019/04/06 09:29:03 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1229) line 2.
BEGIN failed--compilation aborted at (eval 1229) line 2.
2019/04/06 09:29:04 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1238) line 2.
BEGIN failed--compilation aborted at (eval 1238) line 2.
2019/04/06 09:29:49 ERROR> Run.pm:83 EBox::CGI::Run::run - Unable to load CGI: URL=ReleaseUpgradeOutput CLASS=EBox::CGI::ReleaseUpgradeOutput ERROR: Can't locate EBox/CGI/ReleaseUpgradeOutput.pm in @INC (you may need to install the EBox::CGI::ReleaseUpgradeOutput module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl .) at (eval 1256) line 2.
BEGIN failed--compilation aborted at (eval 1256) line 2.
2019/04/06 09:30:35 WARN> zentyal.psgi:43 Plack::Sandbox::_2fusr_2fshare_2fzentyal_2fpsgi_2fzentyal_2epsgi::__ANON__ - Reconnecting to redis server (1 try)... at /usr/share/perl5/EBox/Config/Redis.pm line 476.

/var/log/zentyal/upgrade.log
Code: [Select]
apt-get: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: symbol _ZN9pkgSystem9LockInnerEv version APTPKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference
grep: /var/log/ejabberd/error.log: No such file or directory
/usr/share/zentyal/release-upgrade: line 90: /etc/ejabberd/ejabberdctl.cfg: No such file or directory
dpkg: error: dpkg frontend is locked by another process
dpkg: error: dpkg frontend is locked by another process
apt-get: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: symbol _ZN9pkgSystem9LockInnerEv version APTPKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference
dpkg: error: dpkg frontend is locked by another process

Zentyal upgrade failed. Full log at /var/log/zentyal/upgrade.log.
apt-get: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: symbol _ZN9pkgSystem9LockInnerEv version APTPKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference
And I stopped the upgrade after 10 minutes stucked!

Is there a way to create a backup from 5.1.3, make a fresh install of the 6 version and restore my backup?

desperados

  • Zen Monk
  • **
  • Posts: 57
  • Karma: +2/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #3 on: April 07, 2019, 01:41:08 pm »
go to system > backup

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #4 on: April 07, 2019, 01:46:41 pm »
I already did a backup of the 5.1.3, but I cant restore in the 6. Its says that the backup its from a diferent version.

BerT666

  • Zen Warrior
  • ***
  • Posts: 215
  • Karma: +6/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #5 on: April 08, 2019, 01:45:56 pm »
maybe Jabber blocks the upgrade?
could you try to uninstall Jabber, upgrade and afterwards reinstall Jabber?

Regards

Thomas

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #6 on: April 08, 2019, 06:11:42 pm »
I am not using Jabber!

BerT666

  • Zen Warrior
  • ***
  • Posts: 215
  • Karma: +6/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #7 on: April 09, 2019, 11:28:32 am »
sorry, but regarding to the Logs you provided, it looks like a Jabber Problem...
Quote
grep: /var/log/ejabberd/error.log: No such file or directory
/usr/share/zentyal/release-upgrade: line 90: /etc/ejabberd/ejabberdctl.cfg: No such file or directory

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #8 on: April 09, 2019, 01:40:44 pm »
sorry, but regarding to the Logs you provided, it looks like a Jabber Problem...
Quote
grep: /var/log/ejabberd/error.log: No such file or directory
/usr/share/zentyal/release-upgrade: line 90: /etc/ejabberd/ejabberdctl.cfg: No such file or directory

So there is a little bug on the Zentyal system! Its not showing that the Jabber is installed (images attached).




BerT666

  • Zen Warrior
  • ***
  • Posts: 215
  • Karma: +6/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #9 on: April 11, 2019, 09:41:07 am »
;-) do not trust any GUI ;-)

what does apt or aptitude tell you about the jabber status?

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #10 on: April 29, 2019, 04:30:10 pm »
;-) do not trust any GUI ;-)

what does apt or aptitude tell you about the jabber status?
I just check and the Jabber is not installed in my system.
Code: [Select]
sudo aptitude search jabber
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
W: Could not lock the cache file; this usually means that dpkg or another apt tool is already installing packages.  Opening in read-only mode; any changes you make to the states of packages will NOT be preserved!
v   account-plugin-jabber                                                                            -                                                                                                           
v   account-plugin-jabber:i386                                                                       -                                                                                                           
p   ejabberd                                                                                         - distributed, fault-tolerant Jabber/XMPP server                                                           
p   ejabberd:i386                                                                                    - distributed, fault-tolerant Jabber/XMPP server                                                           
p   ejabberd-contrib                                                                                 - user-contributed modules for ejabberd (metapackage)                                                       
p   ejabberd-mod-cron                                                                                - execute scheduled commands                                                                               
p   ejabberd-mod-cron:i386                                                                           - execute scheduled commands                                                                               
p   ejabberd-mod-log-chat                                                                            - logs chat messages to text or html                                                                       
p   ejabberd-mod-log-chat:i386                                                                       - logs chat messages to text or html                                                                       
p   ejabberd-mod-logsession                                                                          - logs session connections to a text file                                                                   
p   ejabberd-mod-logsession:i386                                                                     - logs session connections to a text file                                                                   
p   ejabberd-mod-logxml                                                                              - logs XMPP packets to an XML file                                                                         
p   ejabberd-mod-logxml:i386                                                                         - logs XMPP packets to an XML file                                                                         
p   ejabberd-mod-message-log                                                                         - writes a line for each message to a log file                                                             
p   ejabberd-mod-message-log:i386                                                                    - writes a line for each message to a log file                                                             
p   ejabberd-mod-muc-log-http                                                                        - serves MUC logs on the web                                                                               
p   ejabberd-mod-muc-log-http:i386                                                                   - serves MUC logs on the web                                                                               
p   ejabberd-mod-post-log                                                                            - logs all messages to an HTTP API                                                                         
p   ejabberd-mod-post-log:i386                                                                       - logs all messages to an HTTP API                                                                         
p   ejabberd-mod-pottymouth                                                                          - filter for ejabberd messages using blacklists                                                             
p   ejabberd-mod-pottymouth:i386                                                                     - filter for ejabberd messages using blacklists                                                             
p   ejabberd-mod-rest                                                                                - HTTP interface to POST arbitrary stanzas to ejabberd                                                     
p   ejabberd-mod-rest:i386                                                                           - HTTP interface to POST arbitrary stanzas to ejabberd                                                     
p   ejabberd-mod-s2s-log                                                                             - logs XMPP s2s connections                                                                                 
p   ejabberd-mod-s2s-log:i386                                                                        - logs XMPP s2s connections                                                                                 
p   ejabberd-mod-shcommands                                                                          - execute shell commands via XMPP (dangerous!)                                                             
p   ejabberd-mod-shcommands:i386                                                                     - execute shell commands via XMPP (dangerous!)                                                             
p   ejabberd-mod-statsdx                                                                             - calculates and gathers statistics actively                                                               
p   ejabberd-mod-statsdx:i386                                                                        - calculates and gathers statistics actively                                                               
p   ejabberd-mod-webpresence                                                                         - allows any local ejabberd user to publish his presence information                                       
p   ejabberd-mod-webpresence:i386                                                                    - allows any local ejabberd user to publish his presence information                                       
p   ekg2-jabber                                                                                      - instant messenger and IRC client for UNIX systems - Jabber/XMPP                                           
p   ekg2-jabber:i386                                                                                 - instant messenger and IRC client for UNIX systems - Jabber/XMPP                                           
p   elpa-jabber                                                                                      - Jabber client for Emacsen                                                                                 
p   emacs-jabber                                                                                     - Transition package, emacs-jabber to elpa-jabber                                                           
p   jabber-muc                                                                                       - Multi User Conference component for the Jabber IM server                                                 
p   jabber-muc:i386                                                                                  - Multi User Conference component for the Jabber IM server                                                 
p   jabber-querybot                                                                                  - Modular xmpp/jabber bot                                                                                   
p   jabberd2                                                                                         - Jabber instant messenger server                                                                           
p   jabberd2:i386                                                                                    - Jabber instant messenger server                                                                           
p   libnet-jabber-bot-perl                                                                           - automated Bot creation with safeties                                                                     
p   libnet-jabber-loudmouth-perl                                                                     - Perl interface for the loudmouth jabber library                                                           
p   libnet-jabber-loudmouth-perl:i386                                                                - Perl interface for the loudmouth jabber library                                                           
p   libnet-jabber-perl                                                                               - Perl modules for accessing the Jabber protocol                                                           
p   libphp-jabber                                                                                    - Object-oriented PHP interface for the Jabber/XMPP protocol                                               
p   libpoe-component-jabber-perl                                                                     - pOE Component for communicating over Jabber                                                               
p   opensips-jabber-module                                                                           - Jabber gateway module for OpenSIPS                                                                       
p   opensips-jabber-module:i386                                                                      - Jabber gateway module for OpenSIPS                                                                       
p   python-jabber                                                                                    - Python module for the Jabber instant messaging platform                                                   
p   python-jabberbot                                                                                 - easily write simple Jabber bots                                                                           
v   python2.7-jabber                                                                                 -                                                                                                           
p   zentyal-jabber                                                                                   - Zentyal - Jabber
Code: [Select]
sudo dpkg -l |grep -i ja
ii  fonts-dejavu-core                     2.35-1                                     all          Vera font family derivate with additional characters
ii  libhttp-cookies-perl                  6.01-1                                     all          HTTP cookie jars
ii  libjansson4:amd64                     2.7-3ubuntu0.1                             amd64        C library for encoding, decoding and manipulating JSON data

doncamilo

  • Zen Warrior
  • ***
  • Posts: 170
  • Karma: +31/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #11 on: May 21, 2019, 12:25:31 pm »
I am trying to upgrade my Zentyal from 5.1.3 to 6, but if I use the GUI, nothing happens and if I try the command line (sudo aptitude dist-upgrade) the system fail and stops to work!

Hi!
You shouldn't use the "dist-upgrade" option.  Zentyal manages the whole process.

You have to update your Zentyal 5.1 system until the 5.1.3 core version. So, you'll see in the dashboard an upgrade button. Click it and the upgrade will begin.

Under the hood this button runs the /usr/share/zentyal/release-upgrade script which applied some fixes and configures the "apt" repositories. You can analyze the code in order to try to fix your system.

I recommend you to check the system in order to confirm that everything is working fine (disk space, broken packages, errors in the log files, etc.)

Cheers!

cezarq

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +1/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #12 on: May 21, 2019, 01:05:43 pm »
I am trying to upgrade my Zentyal from 5.1.3 to 6, but if I use the GUI, nothing happens and if I try the command line (sudo aptitude dist-upgrade) the system fail and stops to work!

Hi!
You shouldn't use the "dist-upgrade" option.  Zentyal manages the whole process.

You have to update your Zentyal 5.1 system until the 5.1.3 core version. So, you'll see in the dashboard an upgrade button. Click it and the upgrade will begin.

Under the hood this button runs the /usr/share/zentyal/release-upgrade script which applied some fixes and configures the "apt" repositories. You can analyze the code in order to try to fix your system.

I recommend you to check the system in order to confirm that everything is working fine (disk space, broken packages, errors in the log files, etc.)

Cheers!
I had tried to upgrade first using the dashboard and didn't work! In my second post there is the upgrade log.

I will try to check the update script, as you mentioned!

doncamilo

  • Zen Warrior
  • ***
  • Posts: 170
  • Karma: +31/-0
    • View Profile
Re: Unable to upgrade from 5.13. to 6
« Reply #13 on: May 22, 2019, 10:37:27 pm »
Quote
I had tried to upgrade first using the dashboard and didn't work! In my second post there is the upgrade log.

I will try to check the update script, as you mentioned!

Some time ago I did the recovery process of a server suffering similar issues than yours. It is an annoying and dangerous.  You should try to reproduce the situation in a virtual machine. I remember that I had to uninstall all zentyal modules, (amazingly redis did his job and configurations were saved nevertheles it's needed to restart the server), remove mysql-server and re-install it, for afterwards to proceed to reinstall the desired zentyal modules...

If you have the possibility I recommends you to proceed with a fresh install. If you have to recover the system follow the steps I have talled, but, please, do your training process in a virtual machine!